Debian Bug report logs - #463344
build against libcurl4-gnutls

version graph

Package: raptor; Maintainer for raptor is Dave Beckett <dajobe@debian.org>;

Reported by: Matthew Rosewarne <mrosewarne@inoutbox.com>

Date: Thu, 31 Jan 2008 01:18:02 UTC

Severity: wishlist

Found in version raptor/1.4.16-1

Fixed in version raptor/1.4.17-1

Done: Dave Beckett <dajobe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#463344; Package raptor. Full text and rfc822 format available.

Acknowledgement sent to Matthew Rosewarne <mrosewarne@inoutbox.com>:
New Bug report received and forwarded. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Rosewarne <mrosewarne@inoutbox.com>
To: submit@bugs.debian.org
Subject: build against libcurl4-gnutls
Date: Wed, 30 Jan 2008 20:15:58 -0500
[Message part 1 (text/plain, inline)]
Source: raptor
Version: 1.4.16-1
Severity: wishlist

If possible, please build the raptor packages using libcurl4-gnutls-dev 
instead of libcurl4-openssl-dev, which conflicts with several other packages. 
The raptor code does not directly use OpenSSL/GNUTLS, so a switch shouldn't 
cause any problems.  I have built raptor packages against libcurl4-gnutls-dev 
and they appear to be working properly.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#463344; Package raptor. Full text and rfc822 format available.

Acknowledgement sent to Dave Beckett <dave@dajobe.org>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. Full text and rfc822 format available.

Message #10 received at 463344@bugs.debian.org (full text, mbox):

From: Dave Beckett <dave@dajobe.org>
To: 463344@bugs.debian.org
Subject: Re: Bug#463344: build against libcurl4-gnutls
Date: Wed, 30 Jan 2008 18:33:21 -0800
... libcurl4-openssl-dev, which conflicts with several other packages...

I can imagine both versions clash with other packages.  Can you provide
some more specific details to pick one over the other?

Dave





Reply sent to Dave Beckett <dajobe@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Matthew Rosewarne <mrosewarne@inoutbox.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 463344-close@bugs.debian.org (full text, mbox):

From: Dave Beckett <dajobe@debian.org>
To: 463344-close@bugs.debian.org
Subject: Bug#463344: fixed in raptor 1.4.17-1
Date: Sun, 20 Apr 2008 17:47:04 +0000
Source: raptor
Source-Version: 1.4.17-1

We believe that the bug you reported is fixed in the latest version of
raptor, which is due to be installed in the Debian FTP archive:

libraptor1-dev_1.4.17-1_i386.deb
  to pool/main/r/raptor/libraptor1-dev_1.4.17-1_i386.deb
libraptor1-doc_1.4.17-1_all.deb
  to pool/main/r/raptor/libraptor1-doc_1.4.17-1_all.deb
libraptor1_1.4.17-1_i386.deb
  to pool/main/r/raptor/libraptor1_1.4.17-1_i386.deb
raptor-utils_1.4.17-1_i386.deb
  to pool/main/r/raptor/raptor-utils_1.4.17-1_i386.deb
raptor_1.4.17-1.diff.gz
  to pool/main/r/raptor/raptor_1.4.17-1.diff.gz
raptor_1.4.17-1.dsc
  to pool/main/r/raptor/raptor_1.4.17-1.dsc
raptor_1.4.17.orig.tar.gz
  to pool/main/r/raptor/raptor_1.4.17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 463344@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dave Beckett <dajobe@debian.org> (supplier of updated raptor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 01 Apr 2008 22:06:01 -0700
Source: raptor
Binary: libraptor1-dev libraptor1 raptor-utils libraptor1-doc
Architecture: source all i386
Version: 1.4.17-1
Distribution: unstable
Urgency: low
Maintainer: Dave Beckett <dajobe@debian.org>
Changed-By: Dave Beckett <dajobe@debian.org>
Description: 
 libraptor1 - Raptor RDF parser and serializer library
 libraptor1-dev - Raptor RDF parser and serializer development libraries and header
 libraptor1-doc - Documentation for the Raptor RDF parser and serializer library
 raptor-utils - Raptor RDF parser and serializer utilities
Closes: 463344
Changes: 
 raptor (1.4.17-1) unstable; urgency=low
 .
   * New upstream release
   * Rebuild against libcurl4-gnutls-dev rather than libcurl4-openssl-dev
     (Closes: #463344)
   * debian/control: depend on libtool 1.5 rather than older debian specific
     release
   * debian/copyright: 2008
   * debian/libraptor1-doc.doc-base: Use a correct Section:
Files: 
 c2495481693d56ea5cc367b3c1fa0a71 718 devel optional raptor_1.4.17-1.dsc
 1cf4627c91fbe5f7ab3c358351a27f79 1580715 devel optional raptor_1.4.17.orig.tar.gz
 9843084626e75e78a1e522bcd61f5ce7 8656 devel optional raptor_1.4.17-1.diff.gz
 063b4259d8413c5628061ad2abaa4780 168584 doc optional libraptor1-doc_1.4.17-1_all.deb
 5f0688eed11b3bbaaef21fe8df457652 237108 libdevel optional libraptor1-dev_1.4.17-1_i386.deb
 2b6adde03792dc6e231d22e84bbd70d2 183266 libs optional libraptor1_1.4.17-1_i386.deb
 f2f3e6e70564a037663a94722bc1131e 57358 text optional raptor-utils_1.4.17-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH8xkWQ+ySUE9xlVoRAjXoAKCMKQCZd+/shMJxn1rvM/02Tf1yAwCeOfAN
jyRuBklIECfM9FOIuuMsanE=
=XChN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 May 2008 07:31:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:24:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.